Page MenuHomePhabricator

Services Roadmap April - June 2015 (Q4 2014/2015)
Closed, ResolvedPublic

Description

Current staffing: 3 engineers.

Main goal:

  • Speed up VisualEditor
    • Provide API for section editing / micro-crontributions: T94890, T87556
    • Provide API support for using Parsoid HTML in mobile page views

Secondary goal:

  • Create a streamlined service development and deployment pipeline (T93428):
    • assist feature teams in the development of new services, and guide the productization process (experimental -> unstable -> stable)
      • Citoid, Graphoid, mobile app service, ..
    • help to develop a sane deployment system in collaboration with release engineering, core and ops
    • continue work on service template and shared modules
    • work on container infrastructure development in cooperation with ops

Deferred / de-prioritized with current staffing:

  • Reliable replicated publish/subscribe event bus: T84923
    • Reliable cache / storage update mechanism needed before we can make logged-in views really fast.
    • Common infrastructure need for jobs, notifications and analytics.
  • Offer HTML dumps and possibly overhaul our dump infrastructure in general (T17017)
  • Auth / user information service: https://www.mediawiki.org/wiki/Requests_for_comment/Service-oriented_architecture_authentication
    • Protect sensitive user information by isolating it from most code
    • Provide high-performance auth{n,z} APIs for MediaWiki, services and apps
  • REST API work
    • Iteratively work towards a consistent REST API for MediaWiki
    • Speed up PHP API end points by making them cacheable
    • Identify performance-sensitive end points and optimize them
  • Clean up the Citoid service to no longer require unmaintained XULRunner backend by creating an environment that lets us run Zotero extractors directly in nodejs

Related Objects

StatusAssignedTask
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
ResolvedNone
Resolved GWicke
Resolved GWicke
ResolvedNone
Resolved GWicke
Resolvedmobrovac
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
OpenNone
ResolvedPchelolo
ResolvedArlolra
Resolvedmobrovac
Resolvedbd808

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2015, 12:49 AM
Krenair set Security to None.
GWicke updated the task description. (Show Details)Mar 12 2015, 12:51 AM
GWicke edited subscribers, added: mobrovac, Eevans, RobLa; removed: Aklapper.
GWicke updated the task description. (Show Details)Mar 12 2015, 12:53 AM
GWicke added a subscriber: bd808.
GWicke renamed this task from Services Roadmap draft April - July 2015 (Q4 2014/2015) to [draft] Services Roadmap April - July 2015 (Q4 2014/2015).Mar 12 2015, 12:56 AM
GWicke triaged this task as Normal priority.
GWicke added a project: RESTBase.
GWicke added subscribers: ssastry, Jdforrester-WMF.
GWicke updated the task description. (Show Details)Mar 12 2015, 1:14 AM
bd808 renamed this task from [draft] Services Roadmap April - July 2015 (Q4 2014/2015) to [draft] Services Roadmap April - June 2015 (Q4 2014/2015).Mar 13 2015, 4:41 PM
GWicke updated the task description. (Show Details)Mar 13 2015, 5:00 PM
GWicke updated the task description. (Show Details)Mar 13 2015, 5:34 PM
GWicke updated the task description. (Show Details)Mar 13 2015, 8:40 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Mar 13 2015, 8:45 PM
GWicke updated the task description. (Show Details)
GWicke moved this task from Backlog to Next on the Services board.Mar 17 2015, 7:53 PM
GWicke moved this task from Next to In-progress on the Services board.
GWicke moved this task from Backlog to In progress on the RESTBase board.Mar 17 2015, 8:16 PM
GWicke updated the task description. (Show Details)Mar 19 2015, 4:00 PM

May I add an item of mine?

  • rewrite zotero into citoid.

Zotero is a very messy software to run in production, it would be great if we could ditch it and rely on citoid alone.

Yurik added a subscriber: Yurik.Mar 20 2015, 12:40 AM
GWicke updated the task description. (Show Details)Mar 20 2015, 10:06 PM
GWicke added a comment.EditedMar 20 2015, 11:12 PM

May I add an item of mine?

  • rewrite zotero into citoid.

Zotero is a very messy software to run in production, it would be great if we could ditch it and rely on citoid alone.

Agreed on the need to do this. Right now this will lose out against some of the other priorities though, so whether we get to it next quarter depends on resourcing and progress on the higher-priority projects.

Edit: Added it to deferred projects

GWicke updated the task description. (Show Details)Mar 20 2015, 11:14 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Mar 23 2015, 5:04 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Mar 24 2015, 1:11 AM
GWicke renamed this task from [draft] Services Roadmap April - June 2015 (Q4 2014/2015) to Services Roadmap April - June 2015 (Q4 2014/2015).Mar 24 2015, 4:25 AM
GWicke updated the task description. (Show Details)Jul 14 2015, 7:58 PM
GWicke closed this task as Resolved.Jul 14 2015, 8:24 PM